<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getCorporation](./bitburner.corporation.getcorporation.md)

## Corporation.getCorporation() method

Get corporation data.

**Signature:**

```typescript
getCorporation(): CorporationInfo;
```
**Returns:**

[CorporationInfo](./bitburner.corporationinfo.md)

Corporation data

## Remarks

RAM cost: 10 GB

